Bug 167561 - smbclient hangs while listing directories on XP servers
smbclient hangs while listing directories on XP servers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
https://bugzilla.samba.org/show_bug.c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-05 11:53 EDT by Konstantin Dmitryev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Dmitryev 2005-09-05 11:53:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ru-RU; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Please include patch for samba, described on this page:
https://bugzilla.samba.org/show_bug.cgi?id=2729

Quote:
"...Smbclient just apparently "hangs" while trying to 
list a share on an XP server with "lot" of files in it. 
 
The "ls" command just never return anything and smblclient keep eating the CPU 
and slowly eating memory. Hitting Ctrl-C of course stops the nightmare..:-) "

Version-Release number of selected component (if applicable):
3.0.14a

How reproducible:
Always

Steps to Reproduce:
Accesing to WinXP shares which fave FAT filesystem
Ex.: 
>smbclient \\\\video\\roman
>Password:
>ls

Actual Results:  
The "ls" command just never return anything and smblclient keep eating the CPU 
and slowly eating memory.

Expected Results:  should be directory listsing

Additional info:

Please, include patch from https://bugzilla.samba.org/show_bug.cgi?id=2729
Comment 1 Christian Iseli 2007-01-22 05:37:46 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Konstantin Dmitryev 2007-02-12 06:14:57 EST
Well, you right. It's too late.
It is only applicable for Fedora core 4.
But it's too bad what you have reacted so slow. I expected, what if it was
commited to updates in time, then much more russian users have a better opinion
about Fedora. :(
Comment 3 Simo Sorce 2007-03-14 17:00:51 EDT
Closing as solved

Note You need to log in before you can comment on or make changes to this bug.